Update Customer
curl --request PUT \
--url https://api.example.com/v1/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "<unknown>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"shipping": {
"phone": "<string>",
"receiver_name": "<string>",
"address": "<unknown>"
},
"name": "<string>",
"description": "<string>",
"email": "<string>",
"phone": "<string>",
"tax": {
"id_type": "<string>",
"id_value": "<string>"
}
}
'import requests
url = "https://api.example.com/v1/customers"
payload = {
"address": "<unknown>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"shipping": {
"phone": "<string>",
"receiver_name": "<string>",
"address": "<unknown>"
},
"name": "<string>",
"description": "<string>",
"email": "<string>",
"phone": "<string>",
"tax": {
"id_type": "<string>",
"id_value": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '<unknown>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
metadata: {},
shipping: {phone: '<string>', receiver_name: '<string>', address: '<unknown>'},
name: '<string>',
description: '<string>',
email: '<string>',
phone: '<string>',
tax: {id_type: '<string>', id_value: '<string>'}
})
};
fetch('https://api.example.com/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": {
"line1": "<string>",
"country": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>"
},
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_on": "2023-11-07T05:31:56Z",
"shipping": {
"phone": "<string>",
"receiver_name": "<string>",
"address": "<unknown>"
},
"description": "<string>",
"email": "<string>",
"phone": "<string>",
"tax": {
"id_type": "<string>",
"id_value": "<string>"
},
"updated_on": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}customers
Update Customer
Update a customer by its unique identifier.
PUT
/
v1
/
customers
Update Customer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I